{{ $is_list := .is_list }}
{{ $ := .content }}

{{ if $is_list }}
<a class="publication-link" href="{{ $.Permalink }}">Details</a>
{{ end }}

{{ with $.Params.doi }}DOI: <a class="publication-link" href="https://doi.org/{{ . }}">{{ . }}</a><br>{{ end }}
{{ with $.Params.url_pdf }}<a class="publication-link" href="{{ . }}">PDF link</a><br>{{ end }}
{{ with $.Params.arxiv }}arXiv: <a class="publication-link" href="https://arxiv.org/abs/{{ . }}">{{ . }}</a><br>{{ end }}
{{ with $.Params.url_theses }}<a class="publication-link" href="{{ . | safeURL }}">theses.fr</a><br>{{ end }}
{{ with $.Params.hal }}HAL: <a class="publication-link" href="https://hal.science/{{ . }}">{{ . }} </a><br>{{ end }}
{{ with $.Params.url_talk }}<a class="publication-link" href="{{ . | safeURL}}">URL</a><br>{{ end }}
{{ with $.Params.url_slides }}<a class="publication-link" href="{{ . | absURL }}">Slides</a><br>{{ end }}
{{ with $.Params.url_video }}<a class="publication-link" href="{{ . | absURL }}">Video</a><br>{{ end }}
{{ with $.Params.url_code }}<a class="publication-link" href="{{ . | absURL }}">Code</a><br>{{ end }}
{{ with $.Params.url_dataset }}<a class="publication-link" href="{{ . | absURL }}">Dataset</a><br>{{ end }}
{{ with $.Params.url_project }}<a class="publication-link" href="{{ . | absURL }}">Project</a><br>{{ end }}

{{ range $.Params.url_custom }}
<a class="publication-link" href="{{ .url | absURL }}">{{ .name }}</a>
{{ end }}
